<?php
header('Content-Type: application/json');
session_start();

$search = !empty($_GET['search']) ? urlencode($_GET['search']) : '';
$category = !empty($_GET['category']) ? urlencode($_GET['category']) : '';
$page = isset($_GET['page']) ? (int)$_GET['page'] : 1;

$url = "https://gplchest.com/admin/api.php?token=your_secure_token&table=products&search={$search}&category={$category}&page={$page}";
$response = file_get_contents($url);
$data = json_decode($response, true);

if ($data) {
    echo json_encode([
        'products' => $data['products'],
        'totalProducts' => $data['totalProducts'],
        'perPage' => $data['perPage'],
        'currentPage' => $data['currentPage'],
    ]);
} else {
    echo json_encode(['error' => 'Failed to fetch products']);
}
